cURL
curl https://api.neuraldraft.io/v1/widgets/product-card/32.js -o pc.js// No SDK call — embed the URL directly in your HTML.
# No SDK call — embed the URL directly in your HTML.
<div data-nd-product-card="{{ $productId }}"></div>
<script src="https://api.neuraldraft.io/v1/widgets/product-card/{{ $productId }}.js" defer></script>
"/* @neuraldraft product-card widget v1 */\n(function(){ /* … */ })();\n"{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Commerce
Embeddable product card script
Self-contained JS bundle for a product card. Drop into any page:
<div data-nd-product-card="32"></div>
<script src="https://api.neuraldraft.io/v1/widgets/product-card/32.js" defer></script>
Reads from /v1/public/products/{slug} under the hood. Long-cached
on CDN. No auth, no credits.
GET
/
widgets
/
product-card
/
{product_id}
.js
cURL
curl https://api.neuraldraft.io/v1/widgets/product-card/32.js -o pc.js// No SDK call — embed the URL directly in your HTML.
# No SDK call — embed the URL directly in your HTML.
<div data-nd-product-card="{{ $productId }}"></div>
<script src="https://api.neuraldraft.io/v1/widgets/product-card/{{ $productId }}.js" defer></script>
"/* @neuraldraft product-card widget v1 */\n(function(){ /* … */ })();\n"{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Path Parameters
Response
JavaScript bundle.
The response is of type string.